*==============================================================================
* Function:			LockWindow
* Purpose:			Locks Windows from updating the active window
* Author:			Doug Hennig
* Copyright:		(c) 2000 Stonefield Systems Group Inc.
* Last Revision:	10/24/2000
* Parameters:		tlLock - .T. to lock the window, .F. to unlock
* Returns:			.T.
* Environment in:	none
* Environment out:	the window is either locked or unlocked, depending on
*						tlLock
*==============================================================================

lparameters tlLock
local lnHWnd
declare integer LockWindowUpdate in Win32API ;
	integer nHandle
if tlLock
	declare integer GetDesktopWindow in Win32API
	lnHWnd = GetDesktopWindow()
else
	lnHWnd = 0
endif tlLock
LockWindowUpdate(lnHWnd)
return
